:root {
    --text-color: #1a1c20;
    --link-color: #0077b5;
    --background-color: #eeeff1;
  }
  
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  html {
    scroll-behavior: smooth;
  }
  
  body {
    font-family: 'Poppins', sans-serif;
    color: var(--text-color);
    background-color: var(--background-color);
    max-width: 1400px;
    margin: 0 auto;
  }
  
  a {
    color: var(--link-color);
    text-decoration: none;
  }
  
  /* NAVBAR */
  nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
  
    padding: 0 50px;
    height: 80px;
  }
  
  nav .left a {
    color: var(--text-color);
    font-size: 22px;
    font-weight: 600;
  }
  
  nav .right a {
    color: var(--text-color);
    margin: 0 10px;
  }
  
  nav .right a:last-child {
    color: var(--background-color);
    background-color: var(--text-color);
    padding: 5px 15px;
    border-radius: 5px;
  }
  
  nav .right a span {
    margin-left: 5px;
  }
  
  /* SECTION 1: Hero */
  .hero-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 50px;
    margin: 50px 0;
    margin-bottom: 100px;
    gap: 40px;
  }
  
  .hero-section .text {
    flex: 5;
  }
  
  .hero-section .text h2 {
    font-size: 45px;
  }
  
  .hero-section .text .links {
    margin-top: 25px;
  }
  
  .hero-section .text .links a {
    display: inline-block;
    padding: 5px 10px;
    border: 2px solid var(--link-color);
    border-radius: 5px;
    margin-right: 10px;
    margin-bottom: 10px;
    transition: .1s;
  }
  
  .hero-section .text .links a:hover {
    color: var(--text-color);
    border: 2px solid var(--text-color);
  }
  
  .hero-section .headshot {
    flex: 2;
    display: flex;
    justify-content: right;
  }
  
  .hero-section .headshot img {
    width: 350px;
    border-radius: 50%;
  }
  
  /* SECTION 2: Skills */
  .skills-section {
    padding: 0 50px;
    margin-bottom: 100px;
  }
  
  .skills-section h2 {
    text-align: center;
    font-size: 35px;
  }
  
  .skills-section .text {
    text-align: center;
    margin-bottom: 20px;
  }
  
  .skills-section .cells {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }
  
  .skills-section .cells .cell {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
  
    width: 200px;
    padding: 10px 20px;
    margin: 10px;
    border: 1.5px solid #d3d3d3;
    border-radius: 5px;
  }
  
  .skills-section .cells .cell img {
    width: 30px;
    height: 30px;
    object-fit: contain;
    border-radius: 2px;
  }
  
  .skills-section .cells .cell span {
    font-size: 18px;
  }
  
  /* SECTION 3: Projects */
  .projects-section {
    text-align: center;
    padding: 50px 20px;
}

.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 20px;
    margin-top: 30px;
}

.project-card {
  background: #fff;
  border-radius: 10px;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0,0,0,0.1);
  transition: transform 0.3s;

  display: flex;
  flex-direction: column; /* stack items vertically */
  justify-content: space-between; /* push link to bottom */
}


.project-card:hover {
    transform: translateY(-5px);
}

.project-card h3 {
    margin-bottom: 10px;
    font-size: 1.4rem;
}

.project-card p {
    font-size: 1rem;
    margin-bottom: 15px;
    color: #555;
}

.project-card a {
  margin-top: auto; /* pushes it to the bottom */
  text-decoration: none;
  font-weight: bold;
  color: #0077b5;
  transition: color 0.3s;
}


.project-card a:hover {
    color: var(--text-color);
}

  
  /* SECTION 4: Contact */
  .contact-section {
    padding: 0 50px;
    margin-bottom: 100px;
    
  }
  
  .contact-section h2 {
    font-size: 35px;
    text-align: center;
    
  }
  
  .contact-section .group {
    display: flex;
    gap: 50px;
  }
  
  .contact-section .group .text {
    flex: 3;
    margin-top: 20px;
  }
  
  .contact-section .group form {
    flex: 3;
    display: flex;
    flex-direction: column;
  }
  
  .contact-section .group form input,
  .contact-section .group form textarea {
    font-family: 'Poppins', sans-serif;
    border: 2px solid var(--link-color);
    background-color: transparent;
    padding: 10px;
    margin-bottom: 15px;
    outline: none;
    resize: none;
  }
  
  .contact-section .group form button {
    font-size: 16px;
    font-family: 'Poppins', sans-serif;
    color: #fff;
    background-color: var(--link-color);
    border: none;
    height: 50px;
    cursor: pointer;
    transition: .1s;
  }
  
  .contact-section .group form button:hover {
    filter: brightness(.9);
  }
  
  @media (max-width: 850px) {
    /* SECTION 1: Hero */
    .hero-section .text h2 {
      font-size: 35px;
    }
  }
  
  @media (max-width: 740px) {
    /* SECTION 1: Hero */
    .hero-section {
      flex-direction: column-reverse;
    }
  
    .hero-section .headshot img {
      width: 300px;
    }
  
    /* SECTION 3: Projects */
    .projects-section {
      text-align: center;
    }
  
    .projects-section .group {
      flex-direction: column;
    }
  
    /* SECTION 4: Contact */
    .contact-section .group {
      flex-direction: column;
    }
  }
  
  @media (max-width: 600px) {
    /* NAVBAR */
    nav {
      padding: 0 20px;
    }
  
    nav .right a {
      font-size: 22px;
    }
  
    nav .right a:last-child {
      color: var(--text-color);
      background-color: transparent;
      padding: 0;
    }
  
    nav .right a span {
      display: none;
    }
  
    /* SECTION 1: Hero */
    .hero-section {
      padding: 0 20px;
    }
  
    .hero-section .text h2 {
      font-size: 30px;
    }
  
    /* SECTION 2: Skills */
    .skills-section {
      padding: 0 20px;
    }
  
    .skills-section .cells .cell span {
      font-size: 16px;
    }
  
    /* SECTION 3: Projects */
    .projects-section {
      padding: 0 20px;
    }
  
    /* SECTION 4: Contact */
    .contact-section {
      padding: 0 20px;
    }
  }

  .contact-links {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    gap: 30px; /* space between links */
    font-size: 1.5rem;
}

.contact-links a {
    text-decoration: none;
    color: var(--link-color);
    font-weight: bold;
    transition: color 0.3s;
}

.contact-links a:hover {
    color: var(--text-color); /* LinkedIn blue highlight */
}

.education {
  margin-top: 20px;
  font-size: 16px;
  color:var(--text-color);
}

.education h4 {
  margin-bottom: 5px;
  font-size: 18px;
  color: var(--text-color);
}

.education .school {
  font-style: italic;
  color: #555;
}
